--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: currently we store values in a hash but this could be changed in the future. We use hash semantics, however. components that register their config keys and setup defaults are supported via []
full_name: Irc::Bot::Config::ManagerClass#[]
is_singleton: false
name: "[]"
params: (key)
visibility: public
